%?mingw_package_header

Name:          mingw-win-iconv
Version:       0.0.6
Release:       %mkrel 1
Summary:       Iconv implementation using Win32 API

License:       Public Domain
Group:         Development/Other
URL:           http://code.google.com/p/win-iconv
Source0:       http://win-iconv.googlecode.com/files/win-iconv-%{version}.tar.bz2
BuildArch:     noarch

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-binutils

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-binutils

BuildRequires: cmake >= 2.8.0
BuildRequires: dos2unix


%description
MinGW Windows Iconv library


%?mingw_debug_package


# Win32
%package -n mingw32-win-iconv
Summary:       MinGW Windows Iconv library
Obsoletes:     mingw32-iconv < 1.12-14
Provides:      mingw32-iconv = 1.12-14

%description -n mingw32-win-iconv
MinGW Windows cross compiled Iconv library.

%package -n mingw32-win-iconv-static
Summary:       Static version of the MinGW Windows Iconv library
Requires:      mingw32-win-iconv = %{version}-%{release}
Obsoletes:     mingw32-iconv-static < 1.12-14
Provides:      mingw32-iconv-static = 1.12-14

%description -n mingw32-win-iconv-static
Static version of the MinGW Windows Iconv library.

# Win64
%package -n mingw64-win-iconv
Summary:       MinGW Windows Iconv library
Obsoletes:     mingw64-iconv < 1.13.1-2%{?dist}
Provides:      mingw64-iconv = 1.13.1-2%{?dist}

%description -n mingw64-win-iconv
MinGW Windows Iconv library

%package -n mingw64-win-iconv-static
Summary:       Static version of the MinGW Windows Iconv library
Requires:      mingw64-win-iconv = %{version}-%{release}
Obsoletes:     mingw64-iconv-static < 1.13.1-2%{?dist}
Provides:      mingw64-iconv-static = 1.13.1-2%{?dist}

%description -n mingw64-win-iconv-static
Static version of the MinGW Windows Iconv library.


%prep
%setup -q -n win-iconv-%{version}

dos2unix readme.txt
dos2unix ChangeLog
chmod -x readme.txt
chmod -x ChangeLog


%build
%mingw_cmake -DBUILD_STATIC=1


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{mingw32_bindir}/*.exe
rm -rf $RPM_BUILD_ROOT%{mingw64_bindir}/*.exe


%files -n mingw32-win-iconv
%doc ChangeLog readme.txt
%{mingw32_bindir}/iconv.dll
%{mingw32_includedir}/iconv.h
%{mingw32_libdir}/libiconv.dll.a

%files -n mingw32-win-iconv-static
%{mingw32_libdir}/libiconv.a

%files -n mingw64-win-iconv
%doc ChangeLog readme.txt
%{mingw64_bindir}/iconv.dll
%{mingw64_includedir}/iconv.h
%{mingw64_libdir}/libiconv.dll.a

%files -n mingw64-win-iconv-static
%{mingw64_libdir}/libiconv.a




%changelog
* Tue Apr 05 2016 tv <tv> 0.0.6-1.mga6
+ Revision: 998526
- new release

* Mon Feb 08 2016 umeabot <umeabot> 0.0.4-7.mga6
+ Revision: 945547
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.4-6.mga5
+ Revision: 740617
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.4-5.mga5
+ Revision: 682516
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.4-4.mga4
+ Revision: 536112
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 0.0.4-3.mga4
+ Revision: 483344
- imported package mingw-win-iconv

